#!/usr/bin/python
from distutils.core import setup
import re

verpat = re.compile("VERSION *= *\"(.*)\"")
data = open("metaconf").read()
m = verpat.search(data)
if not m:
    sys.exit("error: can't find VERSION")
VERSION = m.group(1)

setup(name="metaconf",
      version = VERSION,
      description = "Software to help maintaining multiple configurations in the same machine",
      license = "GPL",
      author = "Gustavo Niemeyer",
      author_email = "niemeyer@conectiva.com",
      long_description =
"""Software to help maintaining multiple configurations in the same machine.""",
      packages = ["MetaConf", "MetaConf.tags", "MetaConf.elementtree"],
      scripts = ["metaconf"],
      )
